%define _with_zeitgeist 0

Name: phonon
Summary: KDE4 Multimedia Framework
Version: 4.8.3
Release: %mkrel 3
Url: http://phonon.kde.org/
License: LGPLv2+
Group: Graphical desktop/KDE4
Source0: http://download.kde.org/stable/phonon/%{version}/%{name}-%{version}.tar.xz
Patch1:  phonon-4.6.0-phonon-allow-stop-empty-source.patch
Patch2:  phonon-bsd-source-glibc.patch
Patch3:  phonon-4.8.3-interface-include-install-dir.patch
Patch4:  phonon-4.8.3-fix-build.patch

BuildRequires:  qt4-devel >= 4.6
BuildRequires:  kde4-macros
BuildRequires:  automoc
BuildRequires:  imagemagick
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libxml-2.0)
%if %_with_zeitgeist
BuildRequires:  pkgconfig(QZeitgeist)
%endif

BuildRequires:  kf5-macros
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Designer)
BuildRequires:  pkgconfig(Qt5OpenGL)

%description
Phonon is the KDE4 Multimedia Framework

%files
%dir %_kde_libdir/kde4/plugins/phonon_backend
%dir %_kde_services/phononbackends
%{_kde_datadir}/dbus-1/interfaces/org.kde.Phonon.AudioOutput.xml

#--------------------------------------------------------------------

%package   -n qt4-designer-plugin-phonon
Group:     Development/Libraries
Summary:   Phonon Qt4 designer plugin
Obsoletes: phonon-designer-plugin
Provides:  phonon-designer-plugin = %version

%description -n qt4-designer-plugin-phonon
Phonon Qt4 designer plugin

%files -n qt4-designer-plugin-phonon
%_qt4_plugindir/designer/libphononwidgets.so

#--------------------------------------------------------------------

%define phononexperimental_major 4
%define libphononexperimental %mklibname phononexperimental %phononexperimental_major

%package -n %libphononexperimental
Summary: Phonon library
Group: System/Libraries


%description -n %libphononexperimental
Phonon library.

%files -n %libphononexperimental
%_kde_libdir/libphononexperimental.so.%{phononexperimental_major}*

#--------------------------------------------------------------------

%define phonon_major 4
%define libphonon %mklibname phonon %phonon_major

%package -n %libphonon
Summary:  Phonon library
Group:    System/Libraries

%description -n %libphonon
Phonon library.

%files -n %libphonon
%_kde_libdir/libphonon.so.%{phonon_major}*

#--------------------------------------------------------------------

%package   devel
Group:     Development/Libraries
Summary:   Header files and documentation for compiling KDE applications
Requires:  %libphononexperimental = %version
Requires:  %libphonon = %version
Requires:  phonon
Requires:  qt4-designer-plugin-phonon

%description devel
This package includes the header files you will need to compile applications
for KDE. Also included is the KDE API documentation in HTML format for easy
browsing.

%files devel
%{_datadir}/phonon/buildsystem
%{_libdir}/cmake/phonon
%{_includedir}/phonon
%{_kde_includedir}/KDE/Phonon
%{_kde_libdir}/libphonon.so
%{_kde_libdir}/libphononexperimental.so
%{_kde_libdir}/pkgconfig/phonon.pc
%_qt4_prefix/mkspecs/modules/qt_phonon.pri


#--------------------------------------------------------------------

%package   -n phonon4qt5
Group:     System/Libraries
Summary:   Phonon library

%description -n phonon4qt5
Phonon library.

%files -n  phonon4qt5
%_qt5_plugindir/designer/libphononwidgets.so
%{_kf5_datadir}/dbus-1/interfaces/org.kde.Phonon4Qt5.AudioOutput.xml

#--------------------------------------------------------------------

%define phonon4qt5experimental_major 4
%define libphonon4qt5experimental %mklibname phonon4qt5experimental %phonon4qt5experimental_major

%package -n %libphonon4qt5experimental
Summary: Phonon library
Requires:  phonon4qt5  = %version
Group: System/Libraries


%description -n %libphonon4qt5experimental
Phonon library.

%files -n %libphonon4qt5experimental
%_kf5_libdir/libphonon4qt5experimental.so.%{phonon4qt5experimental_major}*

#--------------------------------------------------------------------

%define phonon4qt5_major 4
%define libphonon4qt5 %mklibname phonon4qt5_ %phonon4qt5_major

%package -n %libphonon4qt5
Summary: Phonon library
Requires:  phonon4qt5  = %version
Group: System/Libraries

%description -n %libphonon4qt5
Phonon library.

%files -n %libphonon4qt5
%dir %_qt5_plugindir/phonon4qt5_backend
%_kf5_libdir/libphonon4qt5.so.%{phonon4qt5_major}*

#--------------------------------------------------------------------

%package   -n phonon4qt5-devel
Group:     Development/Libraries
Summary:   Header files and documentation for compiling KDE applications
Requires:  %libphonon4qt5experimental = %version
Requires:  %libphonon4qt5 = %version

%description -n phonon4qt5-devel
This package includes the header files you will need to compile applications
for KDE. Also included is the KDE API documentation in HTML format for easy
browsing.

%files -n  phonon4qt5-devel
%{_datadir}/phonon4qt5/buildsystem
%{_includedir}/phonon4qt5
%{_kf5_libdir}/libphonon4qt5.so
%{_kf5_libdir}/libphonon4qt5experimental.so
%{_kf5_libdir}/pkgconfig/phonon4qt5.pc
%_libdir/cmake/phonon4qt5
%{_qt5_datadir}/mkspecs/modules/qt_phonon4qt5.pri

#--------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%cmake_kde4 \
    -DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT:BOOL=ON

%make

cd ..
mkdir -p build-Qt5
pushd build-Qt5
%{cmake_qt5} \
  -DPHONON_BUILD_PHONON4QT5:BOOL=ON \
  -DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT:BOOL=ON \
  ../..
%make
popd



%install
rm -rf %buildroot
%makeinstall_std -C build
mkdir -p %{buildroot}%{_kde_libdir}/kde4/plugins/phonon_backend
mkdir -p %{buildroot}%{_kde_services}/phononbackends

%makeinstall_std -C build-Qt5/build
mkdir -p %{buildroot}%{_qt5_plugindir}/phonon4qt5_backend

%post -n %libphonon
# add link so that qt apps find phonon plugins because QT_PLUGIN_PATH=/usr/lib/kde4/plugins is not set without KDE running
rm -f /usr/bin/phonon_backend
ln -s %{_libdir}/kde4/plugins/phonon_backend /usr/bin

%postun -n %libphonon
rm -f /usr/bin/phonon_backend

%changelog
* Thu Mar 24 2016 bb <bb> 4.8.3-3pclos2016
- update for new qt5

* Mon Jan 06 2014 pinoc <vogtpet at gmail.com> 4.6.60-1pclos2014
- imported package phonon4qt5
